import java.io.IOException;

public abstract class Class461 {

   Class35 aClass35_5731;


   public abstract void method7768(Class31 var1, Class328 var2, int var3, int var4);

   public abstract boolean method7769();

   public abstract boolean method7770(byte var1);

   public abstract Class326 method7771(int var1);

   public abstract void method7772(float var1, byte var2);

   public abstract void method7773(RS2Buffer var1, int var2);

   public abstract void method7774(float var1);

   public abstract void method7775(Class31 var1, Class328 var2, int var3, int var4, byte var5);

   public abstract Class326 method7776();

   public abstract void method7777(Class31 var1, Class328 var2, int var3, int var4);

   public abstract Class326 method7778();

   public abstract Class326 method7779();

   public abstract Class326 method7780();

   Class461(Class35 var1) {
      this.aClass35_5731 = var1;
   }

   public abstract void method7781(RS2Buffer var1);

   static final void method7782(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class555.method11851(var3, var4, var0, -2113972502);
   }

   public static boolean method7783(int var0, byte var1) {
      return var0 == 0 || 1 == var0 || var0 == 2;
   }

   static final void method7784(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      ItemDefinition var3 = Class277.aClass410_3220.method7007(var2, -1957162130);
      if(-1 == var3.anInt4982 * -1823943423 && -116094915 * var3.anInt4981 >= 0) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var3.anInt4981 * -116094915;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var2;
      }

   }

   public static void method7785(Class253 var0, Interface24 var1, int var2) {
      Class264.aClass253_3072 = var0;
      Class573.anInterface24_7593 = var1;
   }

   public static int method7786(byte var0) {
      return Class446.aBool5570 && Class254.aFrame3020 != null?3:(client.aBool7943?2:1);
   }

   static void method7787(byte var0) {
      if(Class335.aClass1_4205 != null) {
         try {
            short var1;
            if(0 == Class11.anInt150 * 2138326903) {
               var1 = 250;
            } else {
               var1 = 2000;
            }

            Class11.anInt151 += -1212617683;
            if(Class11.anInt151 * -268418139 > var1) {
               Class252.method4493(-1032755025);
            }

            int var3;
            if(Class335.aClass1_4205 == Class1.aClass1_10) {
               client.aClass180_7703.method3207(Class108.method2174(Class419.aClass422_5324.method7190((short)19738), 15000, -635014189), Class419.aClass422_5324.aString5344, 1188264619);
               client.aClass180_7703.method3189((byte)77);
               Class225_Sub15 var2 = IntVar.method13614(1502638552);
               var2.buffer.writeByte(Class297.aClass297_3659.anInt3662 * 461965147, -765864773);
               var2.buffer.writeShort(0, 960575431);
               var3 = var2.buffer.position * -543666943;
               var2.buffer.writeShort(751, -884122822);
               var2.buffer.writeShort(1, 1260711061);
               Class11.anIntArray149 = Class190.method3317(var2, (byte)-8);
               int var4 = var2.buffer.position * -543666943;
               var2.buffer.writeString(client.aString7773, (byte)56);
               var2.buffer.writeShort(client.anInt7635 * 846817303, 2031602188);
               var2.buffer.writeLong(-7334371618178317739L * client.aLong7639);
               var2.buffer.writeString(Class7.aString129, (byte)61);
               var2.buffer.writeByte(Class498.aClass470_5944.method89((byte)0), -765864773);
               var2.buffer.writeByte(client.aClass481_7742.anInt5859 * -179465313, -765864773);
               Class186.method3267(var2.buffer, 1521702041);
               String var5 = client.aString7642;
               var2.buffer.writeByte(var5 == null?0:1, -765864773);
               if(var5 != null) {
                  var2.buffer.writeString(var5, (byte)39);
               }

               Class553.aClass225_Sub5_7436.method13385(var2.buffer, 1946688089);
               var2.buffer.position += 1106568455;
               var2.buffer.method13825(Class11.anIntArray149, var4, var2.buffer.position * -543666943, 996246860);
               var2.buffer.method13716(var2.buffer.position * -543666943 - var3, (short)381);
               client.aClass180_7703.method3191(var2, (byte)10);
               client.aClass180_7703.method3210((byte)-32);
               Class335.aClass1_4205 = Class1.aClass1_11;
            }

            if(Class1.aClass1_11 == Class335.aClass1_4205) {
               if(client.aClass180_7703.method3206((byte)6) == null) {
                  Class252.method4493(-1032755025);
                  return;
               }

               if(!client.aClass180_7703.method3206((byte)44).method3997(1, 1466675087)) {
                  return;
               }

               client.aClass180_7703.method3206((byte)-72).method4003(client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer, 0, 1, 345832646);
               Class11.aClass475_153 = (Class475)Class79.method1636(Class470.method7904(-1501376575), client.aClass180_7703.aClass225_Sub23_Sub1_2180.buffer[0] & 255, (byte)48);
               if(Class475.aClass475_5809 == Class11.aClass475_153) {
                  client.aClass180_7703.aClass433_2184 = new ISAACCipher(Class11.anIntArray149);
                  int[] var7 = new int[4];

                  for(var3 = 0; var3 < 4; ++var3) {
                     var7[var3] = Class11.anIntArray149[var3] + 50;
                  }

                  client.aClass180_7703.aClass433_2176 = new ISAACCipher(var7);
                  new ISAACCipher(var7);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.method16052(client.aClass180_7703.aClass433_2176, 1394377767);
                  Class332.method6157(12, -1738249701);
                  client.aClass180_7703.method3189((byte)73);
                  client.aClass180_7703.aClass225_Sub23_Sub1_2180.position = 0;
                  client.aClass180_7703.aClass296_2191 = null;
                  client.aClass180_7703.aClass296_2192 = null;
                  client.aClass180_7703.aClass296_2188 = null;
                  client.aClass180_7703.anInt2185 = 0;
               } else {
                  client.aClass180_7703.method3194(-1018402756);
               }

               client.aClass180_7703.opcode = null;
               Class335.aClass1_4205 = null;
            }
         } catch (IOException var6) {
            Class252.method4493(-1032755025);
         }

      }
   }
}
